## org.apache.batik.ext.awt.image.renderable
Interface FilterChainRable

All Superinterfaces:
  Filter, java.awt.image.renderable.RenderableImage

All Known Implementing Classes:
  FilterChainRable8Bit

public interface FilterChainRable
extends Filter

Implements a filter operation.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`java.awt.geom.Rectangle2D` `getFilterRegion()` Returns the filter output area, in user space
`int` `getFilterResolutionX()` Returns the resolution along the X axis.
`int` `getFilterResolutionY()` Returns the resolution along the Y axis.
`Filter` `getSource()` Returns this filter's source.
`void` `setFilterRegion(java.awt.geom.Rectangle2D filterRegion)` Sets the filter output area, in user space.
`void` `setFilterResolutionX(int filterResolutionX)` Sets the resolution along the X axis, i.e., the maximum size for intermediate images along that axis.
`void` `setFilterResolutionY(int filterResolutionY)` Sets the resolution along the Y axis, i.e., the maximum size for intermediate images along that axis.
`void` `setSource(Filter src)` Sets the source for this chain.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getFilterResolutionX

    public int getFilterResolutionX()

  Returns the resolution along the X axis.

### setFilterResolutionX

    public void setFilterResolutionX(int filterResolutionX)

  Sets the resolution along the X axis, i.e., the maximum size for intermediate images along that axis. The value should be greater than zero to have an effect.

### getFilterResolutionY

    public int getFilterResolutionY()

  Returns the resolution along the Y axis.

### setFilterResolutionY

    public void setFilterResolutionY(int filterResolutionY)

  Sets the resolution along the Y axis, i.e., the maximum size for intermediate images along that axis. The value should be greater than zero to have an effect.

### setFilterRegion

    public void setFilterRegion(java.awt.geom.Rectangle2D filterRegion)

  Sets the filter output area, in user space.

### getFilterRegion

    public java.awt.geom.Rectangle2D getFilterRegion()

  Returns the filter output area, in user space

### setSource

    public void setSource(Filter src)

  Sets the source for this chain. Should not be null

### getSource

    public Filter getSource()

  Returns this filter's source.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.